<template>
  <div id="mapContainer"></div>
  <q-page-sticky position="bottom" :offset="[40, 40]" style="z-index: 5000">
    <q-btn
      to="/"
      unelevated
      rounded
      no-caps
      padding="md xl"
      color="grey-10"
      text-color="white"
      label="Ver Lista"
      icon="map"
    ></q-btn>
  </q-page-sticky>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import 'leaflet/dist/leaflet.css';
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
import L from 'leaflet';

export default defineComponent({
  name: 'PlacesMap',
  data() {
    return {
      center: [-25.3036, -57.5859],
    };
  },
  mounted() {
    const mapDiv = L.map('mapContainer').setView(this.center, 13);
    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
      maxZoom: 19,
      attribution:
        '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>',
    }).addTo(mapDiv);
  },
});
</script>

<style scoped>
#mapContainer {
  width: 80vw;
  height: 80vh;
}
</style>
